Bug 1187661 - firehol generates names that are too long for iptables
Summary: firehol generates names that are too long for iptables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firehol
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-30 15:34 UTC by Armin Diehl
Modified: 2015-03-08 22:46 UTC (History)
1 user (show)

Fixed In Version: firehol-2.0.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 13:29:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Armin Diehl 2015-01-30 15:34:28 UTC
Description of problem:
Firehol generates iptable chain names > 28 chars that will be rejected by iptables/tip6tables
update to latest release of firehol will solve the problem
http://firehol.org/download/latest/firehol-2.0.0.tar.xz

Version-Release number of selected component (if applicable):
firehol-2.0.0-0.1

How reproducible:
interface eth-inet Internet
	server ssh accept with limit 10/min 12

Comment 1 Fedora Update System 2015-02-16 04:54:34 UTC
firehol-2.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/firehol-2.0.1-1.fc21

Comment 2 Fedora Update System 2015-02-16 04:55:43 UTC
firehol-2.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/firehol-2.0.1-1.el7

Comment 3 Fedora Update System 2015-02-17 08:02:11 UTC
Package firehol-2.0.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firehol-2.0.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2126/firehol-2.0.1-1.fc21
then log in and leave karma (feedback).

Comment 4 Armin Diehl 2015-02-17 18:33:55 UTC
works fine, thanks for updating

Comment 5 Fedora Update System 2015-02-25 13:29:59 UTC
firehol-2.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-08 22:46:47 UTC
firehol-2.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.